"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readStreamAsBuffer = void 0;
const readStreamAsBuffer = async (readStream) => {
    return new Promise((resolve) => {
        let data = [];
        readStream.on(`data`, (chunk) => {
            data.push(typeof chunk === 'string' ? Buffer.from(chunk) : chunk);
        });
        readStream.on(`end`, () => {
            resolve(Buffer.concat(data));
        });
        readStream.on(`error`, (err) => {
            throw err;
        });
    });
};
exports.readStreamAsBuffer = readStreamAsBuffer;
